{% extends 'base.html' %}
{% load static %}
{% block title %}Widget's Forum{% endblock %}
{% block content %}
<div class="row">
    <div class="col-3 text-center text-white" style="background-color:#052c65">
        <br>
        <br>
        <img src="{% static 'forum_icon.png'%}" class="img-fluid" width="100" height="100">
        <br>
        <br>
        <h2>Forum</h2>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
        <p>© Jenica e-Sports</p>
    </div>
    <div class="col-9 text-center">
        <div class="row p-5 text-center" style="background-color:#e3e4e6">
            <h1 class="display-3"style="font-size:60px; color:#052c65">Welcome to Widget's Forum</h1>
        </div>
        <br>
        <h6 class="display-3"style="font-size:40px; color:#052c65">Forum posts:</h6>
        {% for post in posts %}
            <a href="{{ post.get_absolute_url }}" class="link-dark; display-3" style="font-size:18px; color:#052c65">
                {{ post.title }} by {{ post.author.first_name }} {{post.author.last_name }}</a>
            <br>
        {% endfor %}
        <br>
        <button type="button" class="btn btn-dark" style="background-color:#e3e4e6">
            <a href="/forum/forumposts/add/" class="link-dark">New Post</a>
        </button>
        <br>
        <br>
        <br>
        <button type="button" class="btn" style="background-color:#052c65">
            <a href="/dashboard/" class="link-light">Dashboard</a>
        </button> &nbsp;
        <button type="button" class="btn" style="background-color:#334277">
            <a href="/announcements/" class="link-light">Announcement Board</a>
        </button> &nbsp;
        <button type="button" class="btn" style="background-color:#425086">
            <a href="/assignments/" class="link-light">Assignments</a>
        </button> &nbsp;
        <button type="button" class="btn" style="background-color:#515e96">
            <a href="/calendar/" class="link-light">Calendar</a>
        </button>

    </div>
</div>

{% endblock %}